%define upstream_name    MooX-Role-POE-Emitter
%define upstream_version 0.120002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pluggable POE event emitter role for cows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moo) >= 1.0.7
BuildRequires: perl(MooX::Role::Pluggable) >= 0.110.0
BuildRequires: perl(MooX::Types::MooseLike) >= 0.150.0
BuildRequires: perl(POE)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildRequires: perl(strictures) >= 1.0.0
BuildArch:  noarch

%description
This is a the Moo::Role manpage for a the POE manpage Observer Pattern
implementation; it is derived from the POE::Component::Syndicator manpage
by BINGOS, HINRIK, APOCAL et al, but with more cows ;-)

Consuming this role gives your class a the POE::Session manpage capable of
emitting events to loaded plugins and registered "listener" sessions. It
also brings in the MooX::Role::Pluggable manpage, making your emitter
pluggable (see the the MooX::Role::Pluggable manpage documentation for
plugin-related details).

You do not need to create your own the POE::Session manpage; calling the
/_start_emitter manpage will spawn one for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.2-2.mga4
+ Revision: 533080
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 sander85 <sander85> 0.120.2-1.mga4
+ Revision: 471274
- update to 0.120002

* Mon Jun 10 2013 jquelin <jquelin> 0.120.1-1.mga4
+ Revision: 441670
- update to 0.120001

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 342388
- update to 0.11

* Wed Nov 14 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 317880
- update to 0.10

* Sun Oct 21 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 308880
- adding missing buildrequires:
- imported package perl-MooX-Role-POE-Emitter


* Sun Oct 21 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
